Skip to content
Guides
Content & StorefrontProducts

Get product by slug

Returns the full product page data: variants, media, specifications and stock. The slug is the one used in the storefront URL.

GET/v1/products/{slug}

Returns the full product page data: variants, media, specifications and stock. The slug is the one used in the storefront URL.

Path Parameters

slug*string

URL-friendly identifier.

Header Parameters

x-Store-Domain*string

Store slug or configured domain that selects the store context at the central Storefront gateway.

Length1 <= length <= 253

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/products/example-resource" \  -H "x-Store-Domain: my-store"
{  "id": "7204558912004325301",  "name": "Example resource",  "slug": "example-resource",  "description": "Example description.",  "productType": "example",  "status": "example",  "imageUrl": "https://example.com/resource",  "price": 1,  "compareAtPrice": 1,  "isAvailable": false,  "totalInventory": 1,  "brand": "example",  "category": "example",  "categoryId": "7204558912004325301",  "tags": [    "example"  ],  "specifications": [    {      "key": "example",      "name": "Example resource",      "value": "example"    }  ],  "variants": [    {      "id": "7204558912004325301",      "sku": "SKU-001",      "status": "example",      "price": 1,      "compareAtPrice": 1,      "quantity": 1,      "isAvailable": false,      "requiresShipping": false,      "options": [        {          "key": "example",          "name": "Example resource",          "value": "example"        }      ],      "images": [        {          "url": "https://example.com/resource",          "name": "Example resource",          "order": 1        }      ]    }  ],  "images": [    {      "url": "https://example.com/resource",      "name": "Example resource",      "order": 1    }  ],  "bundleItems": [    {      "productId": "7204558912004325301",      "variantId": "7204558912004325301",      "productName": "Example resource",      "variantName": "Example resource",      "sku": "SKU-001",      "brand": "example",      "imageUrl": "https://example.com/resource",      "quantity": 1,      "available": 1,      "allowBackorders": false,      "requiresShipping": false    }  ],  "sizeGuide": {    "id": "7204558912004325301",    "name": "Example resource",    "slug": "example-resource",    "description": "Example description.",    "imageUrl": "https://example.com/resource",    "gender": "example",    "measurementType": "example",    "unit": "example",    "notes": "Example note.",    "rows": [      {        "label": "example",        "sizeKey": "example",        "order": 1,        "measurements": [          {            "key": "example",            "name": "Example resource",            "min": 1,            "max": 1,            "value": 1,            "description": "Example description."          }        ]      }    ]  },  "priceTiers": [    {      "variantId": "7204558912004325301",      "minQuantity": 1,      "maxQuantity": 1,      "unitPrice": 1    }  ],  "createdAt": "2026-08-01T15:30:00Z",  "updatedAt": "2026-08-01T15:30:00Z",  "seller": {    "id": "7204558912004325301",    "name": "Example resource",    "slug": "example-resource"  }}